package com.inspect.patrol.mapper;

import com.inspect.patrol.domain.PatrolPresetAction;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolPresetActionMapper {
    List<PatrolPresetAction> selectPatrolPresetActionByPatrolPresetPosId(Long posId);

    List<PatrolPresetAction> selectPatrolPresetActionList(PatrolPresetAction action);

    int insertPatrolPresetAction(PatrolPresetAction action);

    int insertPatrolPresetActionList(List<PatrolPresetAction> actionList);

    int updatePatrolPresetAction(PatrolPresetAction action);

    int deletePatrolPresetActionByPatrolPresetActionId(Long actionId);

    int deletePatrolPresetActionByPatrolPresetPosId(String posId);

    int deletePatrolPresetActionByPatrolPresetPosIds(Long[] posIds);
}
